<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TPreEmpMainLogMapper">

  <resultMap id="tPreEmpMainLogMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TPreEmpMainLog">
    <id property="id" column="id"/>
    <result property="mainId" column="main_id"/>
    <result property="auditId" column="audit_id"/>
    <result property="auditName" column="audit_name"/>
    <result property="auditTime" column="audit_time"/>
    <result property="auditResult" column="audit_result"/>
    <result property="auditRemark" column="audit_remark"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.id,
                a.main_id,
                a.audit_id,
                a.audit_name,
                a.audit_time,
                a.audit_result,
                a.audit_remark
    </sql>
    <sql id="tPreEmpMainLog_where">
        <if test="tPreEmpMainLog != null">
                    <if test="tPreEmpMainLog.id != null and tPreEmpMainLog.id.trim() != ''">
                        AND a.id = #{tPreEmpMainLog.id}
                    </if>
                    <if test="tPreEmpMainLog.mainId != null and tPreEmpMainLog.mainId.trim() != ''">
                        AND a.main_id = #{tPreEmpMainLog.mainId}
                    </if>
                    <if test="tPreEmpMainLog.auditId != null and tPreEmpMainLog.auditId.trim() != ''">
                        AND a.audit_id = #{tPreEmpMainLog.auditId}
                    </if>
                    <if test="tPreEmpMainLog.auditName != null and tPreEmpMainLog.auditName.trim() != ''">
                        AND a.audit_name = #{tPreEmpMainLog.auditName}
                    </if>
                    <if test="tPreEmpMainLog.auditTime != null">
                        AND a.audit_time = #{tPreEmpMainLog.auditTime}
                    </if>
                    <if test="tPreEmpMainLog.auditResult != null and tPreEmpMainLog.auditResult.trim() != ''">
                        AND a.audit_result = #{tPreEmpMainLog.auditResult}
                    </if>
                    <if test="tPreEmpMainLog.auditRemark != null and tPreEmpMainLog.auditRemark.trim() != ''">
                        AND a.audit_remark = #{tPreEmpMainLog.auditRemark}
                    </if>
        </if>
    </sql>
    <!--list-->
    <select id="getTPreEmpMainLogList" resultMap="tPreEmpMainLogMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_pre_emp_main_log a
		where main_id = #{mainId}
    </select>
</mapper>
